/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

package org.climax;

/**
 * The documentation for an {@code ArgGroup}.
 * 
 * @author Climax Development (climax.development@gmail.com)
 */
public interface ArgGroupDoc extends Doc {

	/**
	 * Returns the {@code ArgGroup}.
	 * 
	 * @return the {@code ArgGroup}
	 */
	ArgGroup<Object> getArgGroup();
	
	/**
	 * Returns the syntax for the {@code ArgGroup}.
	 * 
	 * @return the syntax for the {@code ArgGroup}
	 */
	String getSyntax();
}
