/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

package org.climax.argacceptor;

import org.climax.ArgAcceptor;

/**
 * An {@code ArgAcceptor} whose class has either a public, static, 
 * parameterless method that returns an instance of the class or a public, 
 * parameterless default constructor. 
 * 
 * @author Climax Development (climax.development@gmail.com)
 */
public interface ParameterlessArgAcceptor extends ArgAcceptor {
}
