/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

package org.climax.argparser;

import org.climax.ArgParser;

/**
 * An {@code ArgParser} whose class has either a public, static, 
 * parameterless method that returns an instance of the class or a public, 
 * parameterless default constructor.
 * 
 * @author Climax Development (climax.development@gmail.com) 
 * 
 * @param <T> the specified parsed argument type
 */
public interface ParameterlessArgParser<T> extends ArgParser<T> {
}
