/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

package org.climax;

import java.util.Map;

/**
 * The documentation.
 * 
 * @author Climax Development (climax.development@gmail.com)
 */
public interface Doc {

	/**
	 * Returns an unmodifiable {@code Map} of the documentation properties.
	 * 
	 * @return an unmodifiable {@code Map} of the documentation properties
	 */
	Map<String, String> getProperties();
}
