/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

/**
 * Contains all of the interfaces and classes for parsing command line 
 * arguments by using a reflective interface definition.
 * <dl>
 * <dt><strong>Table of Contents</strong></dt>
 * <dt>1. <a href="#1">Client Entry Points</a></dt>
 * </dl>
 * <h3>1. <a name="1">Client Entry Points</a></h3>
 * <p>
 * {@link org.climax.reflect.CLIInterface} is the primary client 
 * entry-points to this package.
 * </p>
 * <p>
 * {@link org.climax.reflect.ArgsCompleteInterface} and
 * {@link org.climax.reflect.OptionsCompleteInterface} are the secondary client 
 * entry-points to this package.
 * </p>
 */
package org.climax.reflect;